Bug 1019625 - Highlight button for currently selected details panel section in task list
Highlight button for currently selected details panel section in task list
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: DR3
: 6.1.0
Assigned To: Marco Rietveld
Marek Baluch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 03:34 EDT by Jan Hrcek
Modified: 2017-12-07 18:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Not clear which details section selected (60.37 KB, image/png)
2013-10-16 03:34 EDT, Jan Hrcek
no flags Details
Suggested improvement (114.65 KB, image/png)
2013-10-16 03:35 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-10-16 03:34:38 EDT
Created attachment 812789 [details]
Not clear which details section selected

Description of problem:
Please implement the simple enhancement to let user know which section of task details is currently selected. See screenshots.

Currently it is not immediately clear which section of task details (Work/Assignments/Details/Comments) is currently selected.

You could use the existing 'active' class to make it more obvious which one is selected. As a bonus it would also improve UI testability ;)


Version-Release number of selected component (if applicable):
BPMS 6.0.0 ER4

How reproducible:
Always

Steps to Reproduce:
1. Go to Tasks > Task list
2. create a new task and go to details panel by clicking the magnifying glass
3. notice, 

Actual results:
The buttons at the top of the details panel (Work/Assignments/Details/Comments) are not highlighted, it's not clear which section user has currently selected - he has to inspect the contents of the panel to find out.

Expected results:
One button should be highlighted to make it clear which section is currently selected.

Additional info:
Comment 1 Jan Hrcek 2013-10-16 03:35:07 EDT
Created attachment 812790 [details]
Suggested improvement
Comment 2 Mauricio Salatino 2014-08-12 07:06:52 EDT
done in master, it should be included in 6.1
Comment 3 Jan Hrcek 2014-10-13 03:57:10 EDT
Verified with BPMS 6.1.0 DR3. The task detail panel sections are now represented using tabs, which make it very clear which section is selected.
Comment 4 Bugzilla account termination 2017-12-07 18:34:29 EST
Employee 'msalatin@redhat.com' has left the company.

Note You need to log in before you can comment on or make changes to this bug.